Get a capacity
GET/api/capacities/{id}
Get a capacity
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the capacity to view
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Returns the requested capacity.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The capacity name
Possible values: <= 480
Minutes available on Monday
Possible values: <= 480
Minutes available on Tuesday
Possible values: <= 480
Minutes available on Wednesday
Possible values: <= 480
Minutes available on Thursday
Possible values: <= 480
Minutes available on Friday
Possible values: <= 480
Minutes available on Saturday
Possible values: <= 480
Minutes available on Sunday
Whether this capacity is the default one
{
"id": 1,
"created_at": "2026-02-20T17:23:22.832Z",
"updated_at": "2026-02-20T17:23:22.832Z",
"name": "Full-time",
"monday_minutes": 480,
"tuesday_minutes": 480,
"wednesday_minutes": 480,
"thursday_minutes": 480,
"friday_minutes": 480,
"saturday_minutes": 0,
"sunday_minutes": 0,
"is_default": false
}
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}